Public Member Functions | Public Attributes | List of all members
libabw::ABWParserState Struct Reference

## Public Member Functions
| ABWParserState ()
| ~ABWParserState ()

## Public Attributes
std::map< int, int > | m_tableSizes
std::map< std::string, ABWData > | m_data
std::map< int, std::shared_ptr< ABWListElement > > | m_listElements
bool | m_inMetadata
std::string | m_currentMetadataKey
bool | m_inStyleParsing
std::stack< std::unique_ptr< ABWCollector > > | m_collectorStack

## Constructor & Destructor Documentation

## ◆ ABWParserState()

libabw::ABWParserState::ABWParserState | ( |  | ) |

## ◆ ~ABWParserState()

libabw::ABWParserState::~ABWParserState | ( |  | ) |

## Member Data Documentation

## ◆ m_collectorStack

std::stack<std::unique_ptr<ABWCollector> > libabw::ABWParserState::m_collectorStack

## ◆ m_currentMetadataKey

std::string libabw::ABWParserState::m_currentMetadataKey

## ◆ m_data

std::map<std::string, ABWData> libabw::ABWParserState::m_data

## ◆ m_inMetadata

bool libabw::ABWParserState::m_inMetadata

## ◆ m_inStyleParsing

bool libabw::ABWParserState::m_inStyleParsing

## ◆ m_listElements

std::map<int, std::shared_ptr<ABWListElement> > libabw::ABWParserState::m_listElements

## ◆ m_tableSizes

std::map<int, int> libabw::ABWParserState::m_tableSizes

The documentation for this struct was generated from the following file:

- ABWParser.cpp